cpw.mods.fml.common.asm.transformers.deobf

## Class FMLDeobfuscatingRemapper

- java.lang.Object
- - org.objectweb.asm.commons.Remapper
  - - cpw.mods.fml.common.asm.transformers.deobf.FMLDeobfuscatingRemapper

-     public class FMLDeobfuscatingRemapper
      extends org.objectweb.asm.commons.Remapper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FMLDeobfuscatingRemapper` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.String>` | `getObfedClasses()`
    `boolean` | `isRemappedClass(java.lang.String className)`
    `java.lang.String` | `map(java.lang.String typeName)`
    `java.lang.String` | `mapFieldName(java.lang.String owner, java.lang.String name, java.lang.String desc)`
    `java.lang.String` | `mapMethodName(java.lang.String owner, java.lang.String name, java.lang.String desc)`
    `void` | `mergeSuperMaps(java.lang.String name, java.lang.String superName, java.lang.String[] interfaces)`
    `void` | `setup(java.io.File mcDir, net.minecraft.launchwrapper.LaunchClassLoader classLoader, java.lang.String deobfFileName)`
    `void` | `setupLoadOnly(java.lang.String deobfFileName, boolean loadAll)`
    `java.lang.String` | `unmap(java.lang.String typeName)`

    - ### Methods inherited from class org.objectweb.asm.commons.Remapper

      `createRemappingSignatureAdapter, mapDesc, mapInvokeDynamicMethodName, mapMethodDesc, mapSignature, mapType, mapTypes, mapValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final FMLDeobfuscatingRemapper INSTANCE

  - ### Method Detail

    - #### setupLoadOnly

          public void setupLoadOnly(java.lang.String deobfFileName,
                           boolean loadAll)

    - #### setup

          public void setup(java.io.File mcDir,
                   net.minecraft.launchwrapper.LaunchClassLoader classLoader,
                   java.lang.String deobfFileName)

    - #### isRemappedClass

          public boolean isRemappedClass(java.lang.String className)

    - #### mapFieldName

          public java.lang.String mapFieldName(java.lang.String owner,
                                      java.lang.String name,
                                      java.lang.String desc)

      Overrides:
        `mapFieldName` in class `org.objectweb.asm.commons.Remapper`

    - #### map

          public java.lang.String map(java.lang.String typeName)

      Overrides:
        `map` in class `org.objectweb.asm.commons.Remapper`

    - #### unmap

          public java.lang.String unmap(java.lang.String typeName)

    - #### mapMethodName

          public java.lang.String mapMethodName(java.lang.String owner,
                                       java.lang.String name,
                                       java.lang.String desc)

      Overrides:
        `mapMethodName` in class `org.objectweb.asm.commons.Remapper`

    - #### mergeSuperMaps

          public void mergeSuperMaps(java.lang.String name,
                            java.lang.String superName,
                            java.lang.String[] interfaces)

    - #### getObfedClasses

          public java.util.Set<java.lang.String> getObfedClasses()